{
  "criteria": {
    "item": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "items": [
              "minecraft:enchanted_book"
            ],
            "predicates": {
              "minecraft:stored_enchantments": [
                {
                  "enchantments": "minecraft:punch",
                  "levels": {
                    "min": 2,
                    "max": 2
                  }
                }
              ]
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "item"
    ]
  ],
  "rewards": {
    "function": "bordercraft:once/item/enchanted_book__punch_2"
  }
}